LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
DataProvider Service Reference

`import"DataProvider.idl";`

Inheritance diagram for DataProvider:

## Exported Interfaces
interface | ::com::sun::star::chart2::data::XDataProvider
| For accessing data a component provides for being used by charts. More...
interface | ::com::sun::star::chart2::data::XRangeXMLConversion
| allows you to convert the ranges a data provider deals with internally into valid XML. More...

## Public Attributes
boolean | IncludeHiddenCells
| If set to false `FALSE`, values from hidden cells are not returned. More...

## Additional Inherited Members
Public Member Functions inherited from XDataProvider
boolean | createDataSourcePossible ([in] sequence< com::sun::star::beans::PropertyValue > aArguments)
| If `TRUE` is returned, a call to createDataSource with the same arguments must return a valid XDataSequence object. More...
XDataSource | createDataSource ([in] sequence< com::sun::star::beans::PropertyValue > aArguments) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates a data source object that matches the given range representation string. More...
sequence< com::sun::star::beans::PropertyValue > | detectArguments ([in] XDataSource xDataSource)
| Tries to find out with what parameters the passed DataSource most probably was created. More...
boolean | createDataSequenceByRangeRepresentationPossible ([in] string aRangeRepresentation)
| If `TRUE` is returned, a call to createDataSequenceByRangeRepresentation with the same argument must return a valid XDataSequence object. More...
XDataSequence | createDataSequenceByRangeRepresentation ([in] string aRangeRepresentation) raises ( com::sun::star::lang::IllegalArgumentException )
| creates a single data sequence for the given data range. More...
XDataSequence | createDataSequenceByValueArray ([in] string aRole, [in] string aValueArray, [in] string aRoleQualifier) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates a single data sequence from the string value array representation. More...
com::sun::star::sheet::XRangeSelection | getRangeSelection ()
| Returns a component that is able to change a given range representation to another one. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Protected Member Functions inherited from XRangeXMLConversion
string | convertRangeToXML ([in] string aRangeRepresentation) raises ( com::sun::star::lang::IllegalArgumentException )
| converts the range to a valid XML syntax. More...
string | convertRangeFromXML ([in] string aXMLRange) raises ( com::sun::star::lang::IllegalArgumentException )
| converts an XML-style range into the internal DataProvider's format. More...

## Exported Interfaces

## ◆ ::com::sun::star::chart2::data::XDataProvider

interface ::com::sun::star::chart2::data::XDataProvider

For accessing data a component provides for being used by charts.

## ◆ ::com::sun::star::chart2::data::XRangeXMLConversion

interface ::com::sun::star::chart2::data::XRangeXMLConversion
| optional

allows you to convert the ranges a data provider deals with internally into valid XML.

## Member Data Documentation

## ◆ IncludeHiddenCells

boolean IncludeHiddenCells
| optional property

If set to false `FALSE`, values from hidden cells are not returned.

The documentation for this service was generated from the following file:

- com/sun/star/chart2/data/DataProvider.idl